﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel view;
        public MainWindow()
        {
            InitializeComponent();
            view = new ViewModel();
            view.LoadData1();
            series.ItemsSource = view.LiveDatas;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //Change the y-values of item in datasource 
            for (int i = 0; i <= 180; i++)
            {
                view.LiveDatas[i].Value = Math.Sin(view.Wave * (Math.PI / 180.0));
                view.Wave += 2;
            }
        }
    }

   

}
